import { ChangeDetectorRef, EventEmitter } from "@angular/core";
import { IconCacheService } from "../../../../../../service/icon-cache.service";
import { Icon } from "../../../../../../enum/icon.enum";
import { StockService } from "../../../../../../service/stock.service";
import { StockManagementWarehouses } from "@colijnit/articleapi/build/model/stock-management-warehouses.bo";
import { ArticleStockManagement } from "@colijnit/articleapi/build/model/article-stock-management";
import { ArticleDetailsBo } from "@colijnit/articleapi/build/model/article-details.bo";
import { StockStatus } from "@colijnit/articleapi/build/model/stock-status.bo";
import { ArticleFlat } from "@colijnit/articleapi/build/model/article-flat.bo";
import { StockLocation } from "@colijnit/articleapi/build/model/stock-location.bo";
export declare class StockLocationPopupComponent {
    iconCacheService: IconCacheService;
    private _stockService;
    private _changeDetector;
    readonly icons: typeof Icon;
    private _selectedLocationNo;
    editingRow: boolean;
    showConfirmationDialog: boolean;
    newStockLine: boolean;
    deleteStockLine: boolean;
    selectedArticleDetailsData: ArticleDetailsBo;
    articleFlat: ArticleFlat;
    articleDetailsInformation: ArticleStockManagement;
    selectedWarehouse: StockManagementWarehouses;
    set selectedLocationNo(locationNo: string);
    get selectedLocationNo(): string;
    articleStockInfo: ArticleDetailsBo[];
    togglePopupEvent: EventEmitter<void>;
    saveEvent: EventEmitter<boolean>;
    updateGridData: EventEmitter<ArticleDetailsBo[]>;
    stockLocations: StockLocation[];
    stockStatus: StockStatus[];
    stockBelow: boolean;
    validationMessage: string;
    constructor(iconCacheService: IconCacheService, _stockService: StockService, _changeDetector: ChangeDetectorRef);
    statusForId(id: number): 0 | StockStatus;
    handleStockStatusChange(status: StockStatus): void;
    handleStockStatusRemarkChange(remark: string): void;
    amountInStockChanged(data: any): void;
    disabled(): boolean;
    handleOkClick(): void;
    togglePopup(): void;
    getStockLocations(): void;
    locationForNumber(number: string): "" | StockLocation;
    locationChanged(event: StockLocation): void;
    handleStockChange(): void;
    newDate(): Date;
    private validateForm;
}
